# Generated by Django 4.2 on 2023-04-26 09:14

import django.core.validators
from django.db import migrations, models
import django_extensions.db.fields
import main.globalclasses


class Migration(migrations.Migration):

    initial = True

    dependencies = [
    ]

    operations = [
        migrations.CreateModel(
            name='EducationalContent',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('title', models.CharField(max_length=1024)),
                ('authors', models.CharField(max_length=1024)),
                ('pub_year', models.PositiveIntegerField(validators=[django.core.validators.MinValueValidator(0), django.core.validators.MaxValueValidator(9999)])),
                ('doi', models.CharField(blank=True, max_length=1024)),
                ('jour_conf', models.CharField(blank=True, max_length=1024)),
                ('area1', models.CharField(choices=[('', 'Select Area...'), ('Bioenergy', 'Bioenergy'), ('Buildings', 'Buildings'), ('Digitalization', 'Digitalization'), ('Hydrogen', 'Hydrogen'), ('Industry', 'Industry'), ('MobilityandTraffic', 'Mobility and Traffic'), ('PowerGrids', 'Power Grids'), ('PowerStorage', 'Power Storage'), ('RenewableEnergies', 'Renewable Energies'), ('ResourceEfficiency', 'Resource Efficiency'), ('SectorCoupling', 'Sector Coupling'), ('SocietyIssues', 'Society Issues'), ('SystemAnalysis', 'System Analysis')], max_length=1024)),
                ('area2', models.CharField(blank=True, choices=[('', 'Select Area...'), ('Bioenergy', 'Bioenergy'), ('Buildings', 'Buildings'), ('Digitalization', 'Digitalization'), ('Hydrogen', 'Hydrogen'), ('Industry', 'Industry'), ('MobilityandTraffic', 'Mobility and Traffic'), ('PowerGrids', 'Power Grids'), ('PowerStorage', 'Power Storage'), ('RenewableEnergies', 'Renewable Energies'), ('ResourceEfficiency', 'Resource Efficiency'), ('SectorCoupling', 'Sector Coupling'), ('SocietyIssues', 'Society Issues'), ('SystemAnalysis', 'System Analysis')], max_length=1024)),
                ('area3', models.CharField(blank=True, choices=[('', 'Select Area...'), ('Bioenergy', 'Bioenergy'), ('Buildings', 'Buildings'), ('Digitalization', 'Digitalization'), ('Hydrogen', 'Hydrogen'), ('Industry', 'Industry'), ('MobilityandTraffic', 'Mobility and Traffic'), ('PowerGrids', 'Power Grids'), ('PowerStorage', 'Power Storage'), ('RenewableEnergies', 'Renewable Energies'), ('ResourceEfficiency', 'Resource Efficiency'), ('SectorCoupling', 'Sector Coupling'), ('SocietyIssues', 'Society Issues'), ('SystemAnalysis', 'System Analysis')], max_length=1024)),
                ('abstract', models.CharField(max_length=1500)),
                ('summary', models.CharField(max_length=7000)),
                ('image', models.ImageField(blank=True, null=True, upload_to='images/educationalcontent', validators=[main.globalclasses.FileSizeValidator(7)])),
                ('caption', models.CharField(blank=True, max_length=1024)),
                ('slug', django_extensions.db.fields.AutoSlugField(blank=True, editable=False, populate_from=['title'])),
            ],
        ),
    ]
